#
# spec file for package rollback-helper
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rollback-helper
Version:        1.0+git20240301.73ac53e
Release:        1.2
Summary:        Helper Scripts for system rollback
License:        GPL-2.0-or-later
Group:          System/Packages
URL:            https://github.com/openSUSE/rollback-helper
Source:         rollback-helper-%{version}.tar.xz
Source1:        README.packaging.txt
Requires:       SUSEConnect
Supplements:    packageand(snapper:SUSEConnect)
BuildArch:      noarch
%{?systemd_requires}
# SUSEConnect does not build for i586 and s390 and is not supported on those architectures
# bsc#1088552
ExcludeArch:    %ix86 s390

%description
The rollback-helper package is a collection of scripts, which,
after a successfull filesystem rollback with snapper, resets
registered products on SCC or SMT.

%prep
%setup -q

%build

%install
install -d "%{buildroot}%{_prefix}/lib/snapper/plugins"
install -d "%{buildroot}/%{_var}/lib/rollback"
install -d "%{buildroot}%{_unitdir}"
install -d "%{buildroot}%{_sbindir}"
cp plugins/rollback %{buildroot}%{_prefix}/lib/snapper/plugins/
cp systemd/rollback.service %{buildroot}%{_unitdir}/
cp sbin/rollback-reset-registration %{buildroot}%{_sbindir}/

%pre
%service_add_pre rollback.service

%post
%service_add_post rollback.service

%preun
%service_del_preun rollback.service

%postun
%service_del_postun rollback.service

%files
%license COPYING
%dir %{_prefix}/lib/snapper
%dir %{_prefix}/lib/snapper/plugins
%{_prefix}/lib/snapper/plugins/rollback
%{_unitdir}/rollback.service
%{_sbindir}/rollback-reset-registration
%dir %{_var}/lib/rollback

%changelog
* Fri Mar  1 2024 kukuk@suse.com
- Update to version 1.0+git20240301.73ac53e:
  * Report an error if all SUSEConnect calls fail
* Tue Dec 18 2018 opensuse-packaging@opensuse.org
- Update to version 1.0+git20181218.5394d6e:
  * Add handling for separate /var subvolumes [bsc#1115555]
* Wed Nov 14 2018 opensuse-packaging@opensuse.org
- Update to version 1.0+git20181112.65db4d0:
  * Run before any other services calling zypper (bsc#1113048)
  * Retry network connection if it doesn't work yet (bsc#1108618)
* Fri Apr 27 2018 jsrain@suse.cz
- do not build on 32-bit architectures (bsc#1088552)
* Thu Apr 19 2018 kukuk@suse.de
- Update to version 1.0+git20180419.3c7281d:
  * Correct fix for unregistered systems [bsc#1032129]
* Wed Apr 18 2018 kukuk@suse.de
- Update to version 1.0+git20180418.6328b58:
  * rollback.service: Fix typo in dependencies
* Wed Apr 18 2018 kukuk@suse.de
- Update to version 1.0+git20180418.fce02cf:
  * rollback.service: don't write output to tty instead of journal
* Wed Apr 18 2018 kukuk@suse.de
- Add COPYING file
- Package /var/lib/rollback directory
- Update to version 1.0+git20180418.496ed81: [bsc#1090073]
  * Call SUSEConnect --rollback always, not only if a registered
    product is installed. We can run into situations, where this is
    not the case, else the script is anyways only called after a
    rollback was done.
  * Only touch the file, don't copy old repo or service data.
  * Fix dependencies of service: script should only run if network
    is available and all filesystems are mounted.
* Thu Jan 25 2018 iforster@suse.com
- check if current btrfs snapshot is the production snapshot before
  re-registering (bsc#1068947)
- unified branching versions (Jul 27 2017 vs. May 22 2017)
* Thu Jul 27 2017 lnussel@suse.de
- use packageand(snapper:SUSEConnect) to install with SUSEConnect
  (boo#1050428)
* Mon May 22 2017 jsrain@suse.cz
- check whether system is registered before rollback (bsc#1032129)
* Tue Nov 15 2016 kukuk@suse.de
- Add missing systemd requires macro, remove wrong branding PreReq
  [bsc#1011912]
* Thu Aug 11 2016 kukuk@suse.de
- Remove wrong requires for snapper and snapper-zypp-plugin
- Remove wrong PreReq for insserv
- Add missing Requires for SUSEConnect
* Wed Nov 18 2015 jsrain@suse.cz
- added versioned pre-require on systemd-presets-branding SLE
  package (bsc#954377)
* Tue Oct  6 2015 jsrain@suse.cz
- added Supplements dependency on snapper
* Mon Oct  5 2015 jsrain@suse.cz
- fixed dependencies of the service file
- perform the registration tollback action (fate#319118)
* Tue Sep 22 2015 kukuk@suse.de
- Fix filelist.
* Tue Sep 22 2015 kukuk@suse.de
- Initial version, add plugin to copy data in case of rollback,
  create first service file, add dummy reset script. [FATE#319118]
